Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PER.rover.control
Class TrackFinder

    java.lang.Object
      PER.rover.control.TrackFinder

public class TrackFinder
extends java.lang.Object

This is a class that, given an image and a measure of how much of a deviation from mean is allowed, creates good track color parameters.

Field Summary
`int` | `cmaxu`
`int` | `cmaxv`
`int` | `cmaxy`
`int` | `cminu`
`int` | `cminv`
`int` | `cminy`
`int` | `cpix`
`boolean[][]` | `currMask`
`int` | `ur`
`int` | `vr`
`boolean[][]` | `workMask`
`int` | `yr`

Constructor Summary
`TrackFinder(int yRange, int uRange, int vRange)` Creates a new instance of TrackFinder

Method Summary
`boolean` | `addPoint(int x, int y)` Adds a point to what is being tracked.
`boolean[][]` | `getTrackMask()`
`boolean` | `pixelInRange(int x, int y)` return true if the pixel is in the range of the track params
`void` | `setYUV(int[] yuv_in, int width, int height)` You should call this whenever the source pixels have changed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### yr

    public int yr

### ur

    public int ur

### vr

    public int vr

### currMask

    public boolean[][] currMask

### workMask

    public boolean[][] workMask

### cminy

    public int cminy

### cmaxy

    public int cmaxy

### cminu

    public int cminu

### cmaxu

    public int cmaxu

### cminv

    public int cminv

### cmaxv

    public int cmaxv

### cpix

    public int cpix

Constructor Detail

### TrackFinder

    public TrackFinder(int yRange,
                       int uRange,
                       int vRange)

  Creates a new instance of TrackFinder

Parameters:
  `yRange` - maximum deviation allowed from mean Y
  `uRange` - maximum deviation allowed from mean U
  `vRange` - maximum deviation allowed from mean V

Method Detail

### setYUV

    public void setYUV(int[] yuv_in,
                       int width,
                       int height)

  You should call this whenever the source pixels have changed

### getTrackMask

    public boolean[][] getTrackMask()

### addPoint

    public boolean addPoint(int x,
                            int y)

  Adds a point to what is being tracked. Returns true if it is the first point added or if as a second point, the filled in region overlaps with the region already tracked.

### pixelInRange

    public boolean pixelInRange(int x,
                                int y)

  return true if the pixel is in the range of the track params

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD